macroScript shaderCleaner
category:"KFScripts" 
toolTip:"Shader Cleaner" 
buttonText:"Shader Cleaner"
-------------------------------
-----v.2 of Shader Cleaner-----
---Written by Kiel Figgins-----
-----www.3dfiggins.com---------
-------------------------------
--Used for the cleaning of shader balls
---------------
--Revision List
---------------
--v.2 - (04-04-2006) - Corrected spacing that caused and error
--v.1 - (???) - Initial  build
---------------

(
try(destroyDialog shaderCleaner) catch()
rollout shaderCleaner "Shader Cleaner" width:126 height:30
(
	button btnCleanAll "Clean All Shader Balls" pos:[7,6] width:112 height:21
	on btnCleanAll pressed  do
	(
	--Cleans Material Balls
	   		 for i=1 to 24 do
	    		(
	     		undo "nu material" on
	      		new_mat_name = i as string + " - Default"
 	     		meditmaterials[i] = standard name:new_mat_name
	        	meditmaterials[i].diffuse = (color 150 150 150 )
	    		)						
				--Renames balls 2 - 9 to be like Default
	    		for i=2 to 9 do
	    		(
	        	new_mat_name = "0" + i as string + " - Default"
 	        	meditmaterials[i] = standard name:new_mat_name
	    		)
	)
)
createDialog shaderCleaner pos:[1050,100]
)

